/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmAdd
Part of the Specrem-project.

Add addresses to the address book.
Copyright (C) 2002  Antti Kirjavainen

*/



//---------------------------------------------------------------------------

#include <vcl.h>
#include "Public.cpp"
#include "..\Shared\strHandle.cpp"
#pragma hdrstop

#include "Add.h"
#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmAdd *frmAdd;
//---------------------------------------------------------------------------
__fastcall TfrmAdd::TfrmAdd(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmAdd::cmdCancelClick(TObject *Sender)
{
this->Close();
}
//---------------------------------------------------------------------------
void __fastcall TfrmAdd::cmdOKClick(TObject *Sender)
{

if (txtAddress->Text == "") {
                           return;
                           }
if (txtPort->Text == "") {
                           txtPort->Text = "1187";
                           }

if (this->Tag > 0) {
                   frmMain->lviAddress->Items->Item[this->Tag]->Caption = txtAddress->Text;
                   frmMain->lviAddress->Items->Item[this->Tag]->SubItems->Text = txtPort->Text + "\r" + txtRouter->Text + "\r" + txtAdapterNICAddress->Text;
                   } else {
                   frmMain->lviAddress->AddItem(txtAddress->Text, frmMain->lviAddress);
                   frmMain->lviAddress->Items->Item[frmMain->lviAddress->Items->Count - 1]->SubItems->Text = txtPort->Text + "\r" + txtRouter->Text + "\r" + txtAdapterNICAddress->Text;
                   }

frmMain->tmrSave->Enabled = True;

this->Close();
}
//---------------------------------------------------------------------------
void __fastcall TfrmAdd::FormCreate(TObject *Sender)
{
lblAddress->Caption = ReadFromLanguage("ClientMain", "lblAddress", lblAddress->Caption);
lblPort->Caption = ReadFromLanguage("General", "lblPort", lblPort->Caption);
cmdOK->Caption = ReadFromLanguage("General", "cmdOK", cmdOK->Caption);
cmdCancel->Caption = ReadFromLanguage("General", "cmdCancel", cmdCancel->Caption);
lblAdapterNICAddress->Caption = ReadFromLanguage("STools", "lblHostNIC", "Adapter/NIC-address:") + " (" + ReadFromLanguage("STools", "mnuWOLUp", "Wake-Up-on-LAN") + "):";
this->Caption = DelHK(ReadFromLanguage("ClientMain", "mnuAddressBook", this->Caption));
lblRouter->Caption = ReadFromLanguage("ClientMain", "lblRouter", "Router:");
}
//---------------------------------------------------------------------------

void __fastcall TfrmAdd::FormClose(TObject *Sender, TCloseAction &Action)
{
frmMain->Enabled = true;
Action = caFree;
}
//---------------------------------------------------------------------------

