/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/





/*

Specrem Client

See source files for copyright-notices.

*/



//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", frmMain);
USEFORM("Chat.cpp", frmChat);
USEFORM("RemoteControl.cpp", frmRemoteControl);
USEFORM("Execute.cpp", frmExecute);
USEFORM("CommandLine.cpp", frmCommandLine);
USEFORM("Work.cpp", frmWork);
USEFORM("Add.cpp", frmAdd);
USEFORM("Options.cpp", frmOptions);
USEFORM("Multi.cpp", frmMulti);
USEFORM("Password.cpp", frmPassword);
USEFORM("Properties.cpp", frmProperties);
USEFORM("Users.cpp", frmUsers);
USEFORM("About.cpp", frmAbout);
USEFORM("Find.cpp", frmFind);
USEFORM("..\Shared\ServerOptions.cpp", frmServerOptions);
USEFORM("FileManager.cpp", frmFileManager);
USEFORM("Progress.cpp", frmProgress);
USEFORM("TaskManager.cpp", frmTaskManager);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->Title = "Specrem Client";

                 Application->CreateForm(__classid(TfrmMain), &frmMain);
                 Application->CreateForm(__classid(TfrmWork), &frmWork);
                 Application->CreateForm(__classid(TfrmCommandLine), &frmCommandLine);
                 Application->CreateForm(__classid(TfrmPassword), &frmPassword);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
