/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


// Copyright (C) 2002  Antti Kirjavainen


//---------------------------------------------------------------------------
#ifndef FindH
#define FindH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TfrmFind : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *mnuMain;
        TMenuItem *mnuView;
        TMenuItem *mnuLargeIcons;
        TMenuItem *mnuSmallIcons;
        TMenuItem *N1;
        TMenuItem *mnuList;
        TMenuItem *mnuReport;
        TMenuItem *mnuFile;
        TMenuItem *mnuSelectAll;
        TMenuItem *N2;
        TMenuItem *mnuDownload;
        TMenuItem *N3;
        TMenuItem *mnuDelete;
        TMenuItem *N4;
        TMenuItem *mnuProperties;
        TMenuItem *N5;
        TMenuItem *mnuClose;
        TListView *lviFind;
        TGroupBox *grpFind;
        TLabel *lblSearchThisFolder;
        TEdit *txtPath;
        TLabel *lblLookForTheseFiles;
        TEdit *txtFiles;
        TCheckBox *chkIncludeSubfolders;
        TButton *cmdSearch;
        TImageList *imgLargeIcons;
        TImageList *imgSmallIcons;
        TPopupMenu *mnuPopUp;
        TMenuItem *mnuSelectAll2;
        TMenuItem *N6;
        TMenuItem *mnuDownload2;
        TMenuItem *N7;
        TMenuItem *mnuDelete2;
        TMenuItem *N8;
        TMenuItem *mnuProperties2;
        TMenuItem *mnuRename;
        TMenuItem *mnuRename2;
        TAnimate *animFind;
        void __fastcall mnuCloseClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall mnuLargeIconsClick(TObject *Sender);
        void __fastcall mnuSmallIconsClick(TObject *Sender);
        void __fastcall mnuListClick(TObject *Sender);
        void __fastcall mnuReportClick(TObject *Sender);
        void __fastcall lviFindMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall mnuSelectAllClick(TObject *Sender);
        void __fastcall mnuFileClick(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall cmdSearchClick(TObject *Sender);
        void __fastcall mnuRenameClick(TObject *Sender);
        void __fastcall mnuPropertiesClick(TObject *Sender);
        void __fastcall mnuDownloadClick(TObject *Sender);
        void __fastcall lviFindEdited(TObject *Sender, TListItem *Item,
          AnsiString &S);
        void __fastcall mnuCopyClick(TObject *Sender);
        void __fastcall mnuCutClick(TObject *Sender);
        void __fastcall mnuDeleteClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmFind(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmFind *frmFind;
//---------------------------------------------------------------------------
#endif
