/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmMulti
Part of the Specrem-project.

Mouse listen + some other functionality.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include <vcl.h>
#include "Public.cpp"
#include "..\Shared\Commands.h"
#pragma hdrstop

#include "Multi.h"
#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmMulti *frmMulti;
//---------------------------------------------------------------------------
__fastcall TfrmMulti::TfrmMulti(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmMulti::FormResize(TObject *Sender)
{
//txtLog->Width = this->Width - 10;
//txtLog->Height = this->Height - 30;
}
//---------------------------------------------------------------------------
void __fastcall TfrmMulti::mnuCloseClick(TObject *Sender)
{
this->Close();        
}
//---------------------------------------------------------------------------
void __fastcall TfrmMulti::FormCreate(TObject *Sender)
{
mnuRefresh->Caption = ReadFromLanguage("General", "Refresh", mnuRefresh->Caption);
mnuClose->Caption = ReadFromLanguage("General", "mnuClose", mnuClose->Caption);
mnuFile->Caption = ReadFromLanguage("General", "mnuFile", mnuFile->Caption);
}
//---------------------------------------------------------------------------


void __fastcall TfrmMulti::FormClose(TObject *Sender, TCloseAction &Action)
{
frmMain->SendCommand(COMMAND_MOUSELISTEN_STOP, "", this->Tag);
}
//---------------------------------------------------------------------------

