/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmOptions
Part of the Specrem-project.

Client options.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include <vcl.h>
#include "Public.cpp"
#include "..\Shared\strHandle.cpp"
#pragma hdrstop

#include "Options.h"
#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmOptions *frmOptions;

//---------------------------------------------------------------------------
__fastcall TfrmOptions::TfrmOptions(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmOptions::cmdCancelClick(TObject *Sender)
{
this->Close();
}
//---------------------------------------------------------------------------
void __fastcall TfrmOptions::cmdOKClick(TObject *Sender)
{

frmMain->WriteToINIBool("Options", "AskForPassword", chkAskForAPassword->Checked);
frmMain->WriteToINIBool("Options", "AlwaysOverwrite", optOverwrite->Checked);
frmMain->WriteToINIBool("Options", "AlwaysResume", optResume->Checked);
frmMain->WriteToINIBool("Options", "AlwaysCancel", optCancel->Checked);
frmMain->WriteToINIBool("Options", "MinimizeToTray", chkMinimizeToTray->Checked);
frmMain->WriteToINI("Options", "Nickname", txtNickname->Text);
frmMain->WriteToINI("Options", "Password", txtPassword->Text);

try
{
if (chkMinimizeToTray->Checked) { frmMain->ttIcon->Visible = true; } else { frmMain->ttIcon->Visible = false; }
}
catch (Exception &exception)
{
}


this->Close();        
}
//---------------------------------------------------------------------------
void __fastcall TfrmOptions::FormCreate(TObject *Sender)
{
chkAskForAPassword->Checked = frmMain->ReadFromINIBool("Options", "AskForPassword", true);
optOverwrite->Checked = frmMain->ReadFromINIBool("Options", "AlwaysOverwrite", false);
optResume->Checked = frmMain->ReadFromINIBool("Options", "AlwaysResume", true);
optCancel->Checked = frmMain->ReadFromINIBool("Options", "AlwaysCancel", false);
chkMinimizeToTray->Checked = frmMain->ReadFromINIBool("Options", "MinimizeToTray", false);
txtNickname->Text = frmMain->ReadFromINI("Options", "Nickname", "");
txtPassword->Text = frmMain->ReadFromINI("Options", "Password", "");

this->Caption = DelHK(ReadFromLanguage("ServerMain", "mnuOptions", this->Caption));
lblNickname->Caption = ReadFromLanguage("AddressBook", "lblNicknameInChat", lblNickname->Caption);
lblPassword->Caption = ReadFromLanguage("AddressBook", "lblPassword", lblPassword->Caption);
chkAskForAPassword->Caption = ReadFromLanguage("AddressBook", "chkAskForPassword", chkAskForAPassword->Caption);
optResume->Caption = ReadFromLanguage("AddressBook", "optResume", optResume->Caption);
optOverwrite->Caption = ReadFromLanguage("AddressBook", "optOverwrite", optOverwrite->Caption);
optCancel->Caption = ReadFromLanguage("AddressBook", "optCancel", optCancel->Caption);
chkMinimizeToTray->Caption = ReadFromLanguage("AddressBook", "chkSystemTray", chkMinimizeToTray->Caption);
}
//---------------------------------------------------------------------------

