/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmPassword
Part of the Specrem-project.

Password dialog.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include <vcl.h>
#include "Public.cpp"
#pragma hdrstop

#include "Password.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmPassword *frmPassword;
//---------------------------------------------------------------------------
__fastcall TfrmPassword::TfrmPassword(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmPassword::FormCreate(TObject *Sender)
{
this->Caption = "[*] " + ReadFromLanguage("Password", "msgPassword", this->Caption);
lblPassword->Caption = ReadFromLanguage("Password", "lblPassword", lblPassword->Caption);
}
//---------------------------------------------------------------------------
void __fastcall TfrmPassword::txtPasswordKeyPress(TObject *Sender,
      char &Key)
{
if (Key == 13) cmdOK->Click();
if (Key == 27) cmdCancel->Click();        
}
//---------------------------------------------------------------------------
void __fastcall TfrmPassword::cmdCancelClick(TObject *Sender)
{
this->Hide();        
}
//---------------------------------------------------------------------------

void __fastcall TfrmPassword::cmdOKClick(TObject *Sender)
{
this->Hide();

frmMain->PasswordEntered(txtPassword->Text);
txtPassword->Clear();
}
//---------------------------------------------------------------------------

