/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmProperties
Part of the Specrem-project.

Remote file/folder properties.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "..\Shared\Commands.h"
#include "..\Shared\strHandle.cpp"
#include "Public.cpp"
#include "Main.h"
#include "Properties.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmProperties *frmProperties;
//---------------------------------------------------------------------------
__fastcall TfrmProperties::TfrmProperties(TComponent* Owner)
        : TForm(Owner)
{



}
//---------------------------------------------------------------------------
void __fastcall TfrmProperties::cmdCancelClick(TObject *Sender)
{
this->Close();
}
//---------------------------------------------------------------------------


void __fastcall TfrmProperties::cmdOKClick(TObject *Sender)
{
cmdApply->Click();
this->Close();
}
//---------------------------------------------------------------------------

void __fastcall TfrmProperties::cmdApplyClick(TObject *Sender)
{
unsigned short int i;


for (i = 0; i < txtFiles->Lines->Count; ++i)
         {
         if (chkOriginalArchive->State != chkArchive->State) {
                                                             }
         if (chkOriginalReadOnly->State != chkReadOnly->State) {
                                                               }
         if (chkOriginalHidden->State != chkHidden->State) {
                                                           }
         if (chkOriginalSystem->State != chkSystem->State) {
                                                           }
         }


if (txtFilename->Text != txtOriginalFilename->Text) {
                                                    frmMain->SendCommand(COMMAND_FILE_RENAME, AddSlash(txtLocation->Text) + txtOriginalFilename->Text + SEPARATOR_SPLIT + AddSlash(txtLocation->Text) + txtFilename->Text, this->Tag);
                                                    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmProperties::FormCreate(TObject *Sender)
{

if (!FileExists(ExtractFilePath(Application->ExeName) + "Language.INI")) return;

// Read from language file:
cmdOK->Caption = ReadFromLanguage("General", "cmdOK", cmdOK->Caption);
cmdCancel->Caption = ReadFromLanguage("General", "cmdCancel", cmdCancel->Caption);
cmdApply->Caption = ReadFromLanguage("General", "cmdApply", cmdApply->Caption);

lblType->Caption = ReadFromLanguage("Properties", "lblTypeOfFile", "Type of file") + ":";
lblDescription->Caption = ReadFromLanguage("Properties", "lblDescription", "Description") + ":";
lblLocation->Caption = ReadFromLanguage("Properties", "lblLocation", "Location") + ":";
lblSize->Caption = ReadFromLanguage("File", "Size", "Size") + ":";
lblCreated->Caption = ReadFromLanguage("File", "Created", "Created") + ":";
lblModified->Caption = ReadFromLanguage("File", "Modified", "Modified") + ":";
lblAccessed->Caption = ReadFromLanguage("File", "Accessed", "Accessed") + ":";
lblAttributes->Caption = ReadFromLanguage("Properties", "lblAttributes", "Attributes") + ":";

chkArchive->Caption = ReadFromLanguage("Properties", "chkArchive", chkArchive->Caption);
chkReadOnly->Caption = ReadFromLanguage("Properties", "chkReadOnly", chkReadOnly->Caption);
chkHidden->Caption = ReadFromLanguage("Properties", "chkHidden", chkHidden->Caption);
chkSystem->Caption = ReadFromLanguage("Properties", "chkSystem", chkSystem->Caption);

tabProperties->Tabs->Strings[0] = ReadFromLanguage("Properties", "General", "General");
}
//---------------------------------------------------------------------------


