/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


// Copyright (C) 2002  Antti Kirjavainen


//---------------------------------------------------------------------------
#ifndef PropertiesH
#define PropertiesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmProperties : public TForm
{
__published:	// IDE-managed Components
        TTabControl *tabProperties;
        TButton *cmdOK;
        TButton *cmdCancel;
        TButton *cmdApply;
        TImage *imgIcon;
        TEdit *txtFilename;
        TLabel *lblType;
        TLabel *lblDescription;
        TLabel *lblLocation;
        TLabel *lblSize;
        TLabel *lblCreated;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *lblModified;
        TLabel *Label11;
        TLabel *Label12;
        TLabel *lblAccessed;
        TLabel *lblAttributes;
        TCheckBox *chkReadOnly;
        TCheckBox *chkHidden;
        TCheckBox *chkArchive;
        TCheckBox *chkSystem;
        TPanel *lne1;
        TPanel *lne2;
        TPanel *lne3;
        TEdit *txtType;
        TEdit *txtDescription;
        TEdit *txtLocation;
        TEdit *txtSize;
        TEdit *txtCreated;
        TEdit *txtModified;
        TEdit *txtAccessed;
        TPanel *lne4;
        TMemo *txtFiles;
        TCheckBox *chkOriginalReadOnly;
        TCheckBox *chkOriginalSystem;
        TCheckBox *chkOriginalHidden;
        TCheckBox *chkOriginalArchive;
        TEdit *txtOriginalFilename;
        void __fastcall cmdCancelClick(TObject *Sender);
        void __fastcall cmdOKClick(TObject *Sender);
        void __fastcall cmdApplyClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmProperties(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmProperties *frmProperties;
//---------------------------------------------------------------------------
#endif
