/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


// Copyright (C) 2002  Antti Kirjavainen


//---------------------------------------------------------------------------
#ifndef UsersH
#define UsersH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TfrmUsers : public TForm
{
__published:	// IDE-managed Components
        TListView *lviUsers;
        TMainMenu *mnuMain;
        TMenuItem *mnuFile;
        TMenuItem *mnuRefresh;
        TMenuItem *N1;
        TMenuItem *mnuKickClient;
        TMenuItem *mnuKickAll;
        TMenuItem *N2;
        TMenuItem *mnuSendMessageToSelectedClients;
        TMenuItem *N3;
        TMenuItem *mnuClose;
        TMenuItem *mnuView;
        TMenuItem *mnuLargeIcons;
        TMenuItem *mnuSmallIcons;
        TMenuItem *N4;
        TMenuItem *mnuList;
        TMenuItem *mnuReport;
        TLabel *lblConnectedCount;
        TButton *cmdRefresh;
        TTimer *tmrRefresh;
        TImageList *imgLarge;
        TImageList *imgSmall;
        TPopupMenu *mnuPopUp;
        TMenuItem *mnuKickClient2;
        TMenuItem *mnuSendMessageToSelectedClients2;
        TMenuItem *mnuKickAll2;
        TMenuItem *N5;
        void __fastcall mnuCloseClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall mnuKickClientClick(TObject *Sender);
        void __fastcall mnuFileClick(TObject *Sender);
        void __fastcall lviUsersMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall mnuSendMessageToSelectedClientsClick(
          TObject *Sender);
        void __fastcall mnuKickAllClick(TObject *Sender);
        void __fastcall mnuRefreshClick(TObject *Sender);
        void __fastcall mnuSmallIconsClick(TObject *Sender);
        void __fastcall mnuLargeIconsClick(TObject *Sender);
        void __fastcall mnuReportClick(TObject *Sender);
        void __fastcall mnuListClick(TObject *Sender);
        void __fastcall tmrRefreshTimer(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall lviUsersDblClick(TObject *Sender);
        void __fastcall SetViewStyle(TViewStyle newStyle);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmUsers(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmUsers *frmUsers;
//---------------------------------------------------------------------------
#endif
