/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmChat
Part of the Specrem-project.

Server chat.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include <vcl.h>
#include "..\Shared\Commands.h"
#include "Main.h"
#include "Public.cpp"
#pragma hdrstop

#include "Chat.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmChat *frmChat;
//---------------------------------------------------------------------------
__fastcall TfrmChat::TfrmChat(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmChat::mnuCloseClick(TObject *Sender)
{
this->Close();
}
//---------------------------------------------------------------------------
void __fastcall TfrmChat::FormResize(TObject *Sender)
{
txtChat->Width = this->Width - 10;
txtText->Width = txtChat->Width;
txtChat->Height = this->Height - txtText->Height - 50;
txtText->Top = txtChat->Top + txtChat->Height;
}
//---------------------------------------------------------------------------
void __fastcall TfrmChat::txtTextKeyPress(TObject *Sender, char &Key)
{
AnsiString UText;
AnsiString NText;
AnsiString NParam;
int iPos;

if (txtText->Text.Length() == 0) return;

UText = UpperCase(txtText->Text);


if (Key == 13)
                {
                if (AnsiPos("/CLOSE", UText) > 0)
                                                  {
                                                  txtText->Clear();
                                                  this->Hide();
                                                  return;
                                                  }
                if (UText.SubString(1, 1) == "/")
                                             {
                                             txtText->Clear();
                                             return;
                                             }

                SServer7->SendToAll(COMMAND_CHAT, "Server: " + txtText->Text, 0);
                txtText->Clear();
                }

}
//---------------------------------------------------------------------------
void __fastcall TfrmChat::txtChatChange(TObject *Sender)
{
txtChat->SelStart = txtChat->Text.Length();
}
//---------------------------------------------------------------------------

void __fastcall TfrmChat::FormCreate(TObject *Sender)
{
mnuClose->Caption = ReadFromLanguage("General", "mnuClose", mnuClose->Caption);
mnuFile->Caption = ReadFromLanguage("General", "mnuFile", mnuFile->Caption);
mnuClear->Caption = ReadFromLanguage("General", "cmdClear", mnuClear->Caption);
}
//---------------------------------------------------------------------------


void __fastcall TfrmChat::mnuClearClick(TObject *Sender)
{
txtChat->Clear();
}
//---------------------------------------------------------------------------

