/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

Public.cpp
Part of the Specrem-project.

Public functions for server
and configuration program.

Copyright (C) 2002  Antti Kirjavainen

*/


#include <vcl.h>
#include "..\Shared\INIHandler.cpp"
#include "..\Shared\GenericList.hpp"

AnsiString ReadFromLanguage(const AnsiString sSection, const AnsiString sKey, const AnsiString sDefault);



AnsiString ReadFromLanguage(const AnsiString sSection, const AnsiString sKey, const AnsiString sDefault)
{
IniHandler INI;
AnsiString defReturn = "";
char Buffer[MAX_BUFFER_READ] = "";


INI.readFromFile("Language.Ini");
INI.getItemValue(sSection.c_str(), sKey.c_str(), Buffer);

defReturn = AnsiString(Buffer);
if (defReturn == "") defReturn = sDefault;


return defReturn;
}

 