/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

ServerStr.cpp
Part of the Specrem-project.

Server string handling.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include <vcl.h>
#include "Random.cpp"
AnsiString CreateEncryptionKey();
AnsiString BackspaceToErase(const AnsiString sCommand);


//---------------------------------------------------------------------------
AnsiString BackspaceToErase(const AnsiString sCommand)
{
unsigned short int i;
unsigned short int curAsc;
unsigned short int secAsc;
char * tmpChar;
AnsiString tmpStr = "";


tmpChar = sCommand.c_str();


for (i = 1; i <= sCommand.Length(); ++i)
         {
         curAsc = tmpChar[i - 1];
         secAsc = tmpChar[i];
         if (curAsc != 8 && secAsc != 8)  {
                                          tmpStr += sCommand.SubString(i, 1); 
                                          }
         }


return tmpStr;
}



AnsiString CreateEncryptionKey()
// Create a new, random encryption key for client:
{
char newKey[50];
unsigned short int i;
unsigned short int a;
unsigned short int random = 0;
unsigned short int first = 0;
unsigned short int second = 0;
unsigned short int lastnum = 0;


// Init the random number generator:
init_mm();


// The key is 50 long at max.
for (i = 0; i < 50; ++i)
         {
         for (a = 0; a < 1000; ++a)
                  {

                  // Get 2 random numbers. Then num1 * num2 = new ASCII-value:
                  first = number_range(1, 50);
                  second = number_range(1, 5);
                  random = first * second;

                  // We won't accept ENTER or the same number as the last one was:
                  if (random != lastnum && random != 13) {
                                         newKey[i] = random;
                                         lastnum = random;
                                         break;
                                         }
                  }

         // The key is 30 long at min.
         // Make sure the key's length will differ:
         if (i > 30) {
                     if (number_range(1, 10) == 3) return AnsiString(newKey);
                     }
         }


// This time we got a full length key:
return AnsiString(newKey);
}
