/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

SystemShutdown
Part of the Specrem-project.

Shutdown Windows.
Copyright (C) 2002  Antti Kirjavainen

*/


#include <vcl.h>

enum TShutdownType { SHUTDOWN, REBOOT, LOGOFF, FORCE };

void SystemShutdown(TShutdownType SD)
{
if (SD == SHUTDOWN) ExitWindowsEx(EWX_POWEROFF, 0);
//if (SD == SHUTDOWN) ExitWindowsEx(EWX_SHUTDOWN, 0);
if (SD == REBOOT) ExitWindowsEx(EWX_REBOOT, 0);
if (SD == LOGOFF) ExitWindowsEx(EWX_LOGOFF, 0);
if (SD == FORCE) ExitWindowsEx(EWX_SHUTDOWN | EWX_FORCE, 0);

}
 