/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

Systray.cpp
Part of the Specrem-project.

Server trayicon.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include "resource.h"
#define WM_NOTIFYICON (WM_APP + 100)

bool bTray;

bool TrayIcon(HWND hwnd, PSTR pszTip, int nAction);




bool TrayIcon(HWND hwnd, PSTR pszTip, int nAction)
{
NOTIFYICONDATA ni;
ni.cbSize = sizeof(ni);
ni.uID = 0;
lstrcpyn(ni.szTip, pszTip, sizeof(ni.szTip));
ni.hWnd = hwnd;
if (nAction == 1) return Shell_NotifyIcon(NIM_MODIFY, &ni);
if (nAction == 2) return Shell_NotifyIcon(NIM_DELETE, &ni);
ni.hIcon = (HICON)LoadIcon((HINSTANCE)GetWindowLong(hwnd, GWL_HINSTANCE), MAKEINTRESOURCE(IDI_SMALL));
ni.uFlags = NIF_MESSAGE | NIF_TIP | NIF_ICON;
ni.uCallbackMessage = WM_NOTIFYICON;
return Shell_NotifyIcon(NIM_ADD, &ni);
}

