/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

Uptime.cpp
Part of the Specrem-project.

Get system uptime.
Copyright (C) 2002  Antti Kirjavainen

*/


AnsiString Uptime()
{
// A very accurate function to get the system uptime:
unsigned int time = 0;
unsigned int seconds = 0;
unsigned int minutes = 0;
unsigned int hours = 0;
unsigned int days = 0;
AnsiString tmpStr = "";

time = Idglobal::GetTickCount();


        	while (time >= 1000) {
        		time = time - 1000;
        		seconds++;
        	}


            	while (seconds >= 60) {
            		seconds = seconds - 60;
            		minutes++;
            	}


                	while (minutes >= 60) {
                		minutes = minutes - 60;
                		hours++;
                	}


                    	while (hours >= 24) {
                    		hours = hours - 24;
                    		days++;
                    	}


                        	if (days > 0 && days != 1) {
                        		tmpStr += IntToStr(days) + " days ";
                        	}


                            	else if (days == 1) {
                            		tmpStr += "1 day ";
                            	}


                                	if (hours > 0 && hours != 1) {
                                		tmpStr += IntToStr(hours) + " hours ";
                                	}


                                    	else if (hours == 1) {
                                    		tmpStr += "1 hour ";
                                    	}


                                        	if (minutes > 0 && minutes != 1) {
                                        		tmpStr += IntToStr(minutes) + " minutes ";
                                        	}


                                            	else if (minutes == 1) {
                                            		tmpStr += "1 minute ";
                                            	}
                                            	tmpStr += IntToStr(seconds) + " seconds.";
                                            	return tmpStr;
}
