Attribute VB_Name = "modRemoteCommand"
'*****************************************************************************
'
'    Specrem Pro - Remote Controlling Software
'    Copyright (C) 2002  Specrem Group
'
'    This program is free software; you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation; either version 2 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program; if not, write to the Free Software
'    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'
'****************************************************************************/



'modRemoteCommand
'Part of the Specrem-project.

'Windows Management Instrumentation remote commands.

'Copyright (C) 2002  Antti Kirjavainen
'



Option Explicit
Public curComputerName As String
Public ErrorTold As Boolean

Private Declare Function GetComputerName Lib "kernel32" _
Alias "GetComputerNameA" (ByVal lpBuffer As String, nSize As _
Long) As Long

Private Declare Function WritePrivateProfileString _
Lib "kernel32" Alias "WritePrivateProfileStringA" _
(ByVal lpApplicationname As String, ByVal _
lpKeyName As Any, ByVal lsString As Any, _
ByVal lplFilename As String) As Long


Public Function RemoteCommand(ComputerName As String, Command As String) As String
On Error Resume Next
Dim Process
Dim ProcessID
Dim Result As Integer

Set Process = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" & ComputerName$ & "\root\cimv2:Win32_Process")
Result = Process.Create(Command$, Null, Null, ProcessID)
If Err = 0 Then RemoteCommand$ = UCase$(ReadFromLanguage("General", "Done", "Done")) & "(" & ComputerName$ & "): " & ReadFromLanguage("STools", "msgExecuted", "Program executed") & "!" Else RemoteCommand$ = UCase$(ReadFromLanguage("General", "Error", "Error")) & "(" & ComputerName$ & "): " & Err.Description & " 0x" & Hex(Err.Number) & "!"

Hell:
Err.Clear
End Function

Public Function RemoteShutdown(ComputerName As String) As String
On Error Resume Next
Dim OpSysSet
Dim OpSys

Set OpSysSet = GetObject("winmgmts:{(Debug,RemoteShutdown)}//" & ComputerName$ & "/root/cimv2").ExecQuery("select * from Win32_OperatingSystem where Primary=true")

For Each OpSys In OpSysSet
    Call OpSys.Shutdown
Next

RemoteShutdown$ = UCase$(ReadFromLanguage("General", "Done", "Done")) & "(" & ComputerName$ & "): " & Replace$(frmMain.mnuShutdown.Caption, "&", Empty) & "."
End Function

Public Function RemoteReboot(ComputerName As String) As String
On Error Resume Next
Dim OpSysSet
Dim OpSys

Set OpSysSet = GetObject("winmgmts:{(RemoteShutdown)}//" & ComputerName & "/root/cimv2").ExecQuery("select * from Win32_OperatingSystem where Primary=true")

For Each OpSys In OpSysSet
    Call OpSys.Reboot
Next

RemoteReboot$ = UCase$(ReadFromLanguage("General", "Done", "Done")) & "(" & ComputerName$ & "): " & Replace$(frmMain.mnuReboot.Caption, "&", Empty) & "."
End Function

Public Function ComputerName() As String
On Error Resume Next
  Dim sBuffer As String
  
  Dim lAns As Long
 
  sBuffer = Space$(255)
  lAns = GetComputerName(sBuffer, 255)
  If lAns <> 0 Then
        ComputerName = Left$(sBuffer, InStr(sBuffer, Chr$(0)) - 1)
   End If

End Function

Public Function IsLVISelected(ByVal ObjectName As ListView) As Integer
On Error GoTo Hell
Dim SelFileCount As Integer
Dim LVIi As Integer

If ObjectName.ListItems.Count = 0 Then GoTo Hell

For LVIi% = 1 To ObjectName.ListItems.Count
    If ObjectName.ListItems(LVIi%).Selected Then SelFileCount% = SelFileCount% + 1
Next LVIi%

IsLVISelected = SelFileCount

Exit Function
Hell:
IsLVISelected = SelFileCount
Err.Clear
End Function

Public Sub WriteToINI(ByVal Heading As String, ByVal Key As String, ByVal Value As String)
On Error Resume Next
WritePrivateProfileString Heading$, Key$, Value$, AppPath$ & "STools.INI"
End Sub

Public Function OnlyNumeric(ByVal KeyAscii As Integer) As Integer
On Error Resume Next
If KeyAscii% = 8 Then
                 OnlyNumeric% = KeyAscii%
                 Exit Function
                 End If
If KeyAscii% < Asc%("0") Or KeyAscii% > Asc%("9") Then KeyAscii% = 0
OnlyNumeric% = KeyAscii%
End Function

Public Function AddSlash(ByVal AddPath As String) As String
On Error Resume Next
If Right$(AddPath$, 1) = "\" Then AddSlash$ = AddPath$ Else AddSlash$ = AddPath$ & "\"
End Function


