/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmAbout
Part of the Specrem-project.

Client about screen.
Copyright (C) 2002  Antti Kirjavainen

*/



//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"
#include "About.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmAbout *frmAbout;

short int c = 280;
const short int LineY = 18;
const unsigned short int wPos = 20;


//---------------------------------------------------------------------------
__fastcall TfrmAbout::TfrmAbout(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmAbout::tmrCreditsTimer(TObject *Sender)
{
short int TotalLine;

c--;
if (c < -500) c = 280;

lblCredits->Refresh();

TotalLine = c;

lblCredits->Canvas->TextOutA(wPos, TotalLine, "Specrem Pro v1.00 Alpha");
TotalLine += LineY;
TotalLine += LineY;
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "PROGRAMMING:");
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "Farid Bengrid");
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "Antti Kirjavainen");
TotalLine += LineY;
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "Code parts:");
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "Tair Abdurman");
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "AT&T Laboratories");
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "Jonathan Bennett");
TotalLine += LineY;
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "GRAPHICS:");
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "Antti Kirjavainen");
TotalLine += LineY;
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "WEBSITE:");
TotalLine += LineY;
lblCredits->Canvas->TextOutA(wPos, TotalLine, "Seth (domain)");
TotalLine += LineY;

}
//---------------------------------------------------------------------------
void __fastcall TfrmAbout::FormCreate(TObject *Sender)
{
//lblCredits->Canvas->TextFlags = taCenter;
}
//---------------------------------------------------------------------------
void __fastcall TfrmAbout::cmdOKClick(TObject *Sender)
{
this->Close();
}
//---------------------------------------------------------------------------


void __fastcall TfrmAbout::FormClose(TObject *Sender, TCloseAction &Action)
{
frmMain->Enabled = true;
Action = caFree;
}
//---------------------------------------------------------------------------

