/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmCommandLine
Part of the Specrem-project.

Command line control.
Copyright (C) 2002  Antti Kirjavainen

*/



//---------------------------------------------------------------------------

#include <vcl.h>
#include "Public.cpp"
#include "Main.h"
#include "..\Shared\Commands.h"
#pragma hdrstop

#include "CommandLine.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmCommandLine *frmCommandLine;
//---------------------------------------------------------------------------
__fastcall TfrmCommandLine::TfrmCommandLine(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmCommandLine::FormResize(TObject *Sender)
{
txtCommandLine->Width = this->Width - 8;
txtText->Width = txtCommandLine->Width;
chkCMD->Width = txtText->Width - 5;
txtCommandLine->Height = this->Height - txtText->Height - chkCMD->Height - 47;
chkCMD->Top = txtCommandLine->Top + txtCommandLine->Height + 5;
txtText->Top = txtCommandLine->Top + txtCommandLine->Height + chkCMD->Height + 8;
}
//---------------------------------------------------------------------------
void __fastcall TfrmCommandLine::txtTextKeyPress(TObject *Sender,
      char &Key)
{
if (Key == 13)
            {
            if (chkCMD->Checked) { frmMain->SendCommand(COMMAND_CMD, txtText->Text, 0); } else { frmMain->SendCommand(txtText->Text, "", 0); }
            txtText->Clear();
            }
}
//---------------------------------------------------------------------------

void __fastcall TfrmCommandLine::FormCreate(TObject *Sender)
{
this->Caption = "[*] " + ReadFromLanguage("ClientMain", "mnuCommandLine", "Command line");
}
//---------------------------------------------------------------------------

void __fastcall TfrmCommandLine::txtCommandLineChange(TObject *Sender)
{
txtCommandLine->SelStart = txtCommandLine->Text.Length();
txtCommandLine->SelLength = txtCommandLine->Text.Length();
txtText->SetFocus();
}
//---------------------------------------------------------------------------

