/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

frmExecute
Part of the Specrem-project.

File/URL-execute.
Copyright (C) 2002  Antti Kirjavainen

*/


//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "..\Shared\commands.h"
#include "Public.cpp"
#include "Main.h"

#include "Execute.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

TfrmExecute *frmExecute;
//---------------------------------------------------------------------------
__fastcall TfrmExecute::TfrmExecute(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmExecute::cmdExecuteClick(TObject *Sender)
{
if (txtPath->Text.Length() == 0) return;


switch (cboFocus->ItemIndex)
{
case 0:
frmMain->SendCommand(COMMAND_FILE_EXECUTE, txtPath->Text + SEPARATOR_SPLIT + PARAMETER_VISIBLE + SEPARATOR_SPLIT + txtParameters->Text, this->Tag);
break;

case 1:
frmMain->SendCommand(COMMAND_FILE_EXECUTE, txtPath->Text + SEPARATOR_SPLIT + PARAMETER_MAXIMIZED + SEPARATOR_SPLIT + txtParameters->Text, this->Tag);
break;

case 2:
frmMain->SendCommand(COMMAND_FILE_EXECUTE, txtPath->Text + SEPARATOR_SPLIT + PARAMETER_MINIMIZED + SEPARATOR_SPLIT + txtParameters->Text, this->Tag);
break;

case 3:
frmMain->SendCommand(COMMAND_FILE_EXECUTE, txtPath->Text + SEPARATOR_SPLIT + PARAMETER_INVISIBLE + SEPARATOR_SPLIT + txtParameters->Text, this->Tag);
break;
}

}
//---------------------------------------------------------------------------
void __fastcall TfrmExecute::FormCreate(TObject *Sender)
{
this->Caption = "[*] " + ReadFromLanguage("ClientMain", "mnuExecuteProgram", this->Caption);

cmdExecute->Caption = ReadFromLanguage("ExecuteProgram", "cmdExecute", cmdExecute->Caption);
lblFocus->Caption = ReadFromLanguage("ExecuteProgram", "lblFocus", lblFocus->Caption);
lblPath->Caption = ReadFromLanguage("ExecuteProgram", "lblFullPath", lblPath->Caption);
lblParameters->Caption = ReadFromLanguage("ExecuteProgram", "lblParameters", lblParameters->Caption);

cboFocus->Items->Add(ReadFromLanguage("ExecuteProgram", "cboFocusItem1", "Normal"));
cboFocus->Items->Add(ReadFromLanguage("ExecuteProgram", "cboFocusItem2", "Maximized"));
cboFocus->Items->Add(ReadFromLanguage("ExecuteProgram", "cboFocusItem3", "Minimized"));
cboFocus->Items->Add(ReadFromLanguage("ExecuteProgram", "cboFocusItem4", "Hidden"));
cboFocus->Text = cboFocus->Items->Strings[0];

cboFocus->ItemIndex = 0;
}
//---------------------------------------------------------------------------
void __fastcall TfrmExecute::cboFocusChange(TObject *Sender)
{
cboFocus->Text = cboFocus->Items->Strings[0];
}
//---------------------------------------------------------------------------

