/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


// Copyright (C) 2002  Antti Kirjavainen


//---------------------------------------------------------------------------
#ifndef RemoteControlH
#define RemoteControlH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmRemoteControl : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *mnuMain;
        TMenuItem *mnuFile;
        TMenuItem *mnuClose;
        TMenuItem *N1;
        TMenuItem *mnuGetClipboard;
        TMenuItem *mnuSetClipboard;
        TMenuItem *N2;
        TMenuItem *mnuCtrlAltDel;
        TMenuItem *mnuWinkeyUp;
        TMenuItem *mnuWinkeyDown;
        TTimer *tmrMouseMove;
        TMenuItem *N3;
        TMenuItem *mnuRefresh;
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall mnuCloseClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall tmrMouseMoveTimer(TObject *Sender);
        void __fastcall FormKeyPress(TObject *Sender, char &Key);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall mnuRefreshClick(TObject *Sender);
        void __fastcall mnuFileClick(TObject *Sender);
        void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormDblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmRemoteControl(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmRemoteControl *frmRemoteControl;
//---------------------------------------------------------------------------
#endif
