/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


// Copyright (C) 2002  Antti Kirjavainen


//---------------------------------------------------------------------------
#ifndef WorkH
#define WorkH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TfrmWork : public TForm
{
__published:	// IDE-managed Components
        TListView *lviWork;
        TImageList *imgSmall;
        TPopupMenu *mnuPopUp;
        TMenuItem *mnuStop;
        TMenuItem *N1;
        TMenuItem *mnuRemoveFromList;
        TMenuItem *mnuExecuteThis;
        TMenuItem *mnuClear;
        void __fastcall FormResize(TObject *Sender);
        void __fastcall lviWorkMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall lviWorkDblClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall mnuExecuteThisClick(TObject *Sender);
        void __fastcall mnuRemoveFromListClick(TObject *Sender);
        void __fastcall mnuClearClick(TObject *Sender);
        void __fastcall lviWorkInsert(TObject *Sender, TListItem *Item);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmWork(TComponent* Owner);
        void __fastcall ProcessNextCommand(const unsigned short int iIndex);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmWork *frmWork;
//---------------------------------------------------------------------------
#endif
