/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

Specrem Server

See source files for copyright-notices.

*/


#include <SysUtils.hpp>
#include <SvcMgr.hpp>
#pragma hdrstop
#define Application Svcmgr::Application
USEFORM("Main.cpp", SServer7); /* TService: File Type */
USEFORM("Shutdown.cpp", frmShutdown);
USEFORM("Chat.cpp", frmChat);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		 Application->Initialize();
		 Application->Title = "Specrem Server";
                 Application->CreateForm(__classid(TfrmShutdown), &frmShutdown);
                 Application->CreateForm(__classid(TSServer7), &SServer7);
                 Application->Run();
	}
	catch (Exception &exception)
	{
		//Sysutils::ShowException(&exception, System::ExceptAddr());
	}
        catch(...)
        {
		try
		{
	        	throw Exception("");
		}
		catch(Exception &exception)
		{
			//Sysutils::ShowException(&exception, System::ExceptAddr());
		}
        }
	return 0;
}
