/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


/*

ServerOpt.cpp
Part of the Specrem-project.

Server settings save part. Different
for client and server. This is the
server part.

Copyright (C) 2002  Antti Kirjavainen

*/


#include <vcl.h>
#include "Main.h"
#include "Public.cpp"
#include "..\Shared\Commands.h"
#include "..\Shared\ServerOptions.h"


void SaveOptions(AnsiString SendList)
{
TStringList * strSave = new TStringList; 
AnsiString tmpStr;
AnsiString tmpStr2;


try
{
strSave->Text = SendList;

// Encryption code here for settings...
//strSave->Text = Encrypt(strSave->Text);

//strSave->SaveToFile(AppPath + "SServer.cfg");
strSave->SaveToFile("d:\SServer.cfg");

}
catch (Exception &exception)
{
tmpStr = ReadFromLanguage("Errors", "SaveSettings", "Can't save these settings") + "!";
tmpStr2 = ReadFromLanguage("General", "Error", "Error");
MessageBox(NULL, tmpStr.c_str(), tmpStr2.c_str(), 0);
}


strSave->Free();
return;

}
 