/*****************************************************************************
*
*    Specrem Pro - Remote Controlling Software
*    Copyright (C) 2002  Specrem Group
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/


// Copyright (C) 2002  Farid Bengrid


#ifndef _ERRMSG_H_

#define _ERRMSG_H_

#define ERR_GENERIC						0
#define ERR_MEMORYFAILURE				(ERR_GENERIC -1)
#define ERR_FUNCTIONPARAM				(ERR_GENERIC -2)


#define ERR_LISTITEM						-100
#define ERR_LISTITEM_MISSING_DATA	(ERR_LISTITEM -1)

#define ERR_LIST							-200
#define ERR_LIST_ITEM_NOT_FOUND		(ERR_LIST -1)

#define ERR_INI							-300
#define ERR_INI_FIELD_EMPTY			(ERR_INI -1)
#define ERR_INI_ITEM_NOTFOUND			(ERR_INI -2)
#define ERR_INI_SECTION_NOTFOUND		(ERR_INI -3)
#define ERR_INI_NOFILENAME				(ERR_INI -4)
#define ERR_INI_FILEERROR				(ERR_INI -5)

#define ERR_SC_MSG_UNKNOWN		1		//Unknown error...
#define ERR_SC_MSG_MEMORY		2		//Memory Allocation failure
#define ERR_SC_MSG_SDKERROR	3		//SDK : SDK Error.
#define ERR_SC_MSG_NOCURSOR	4
#define ERR_SC_MSG_NOWINDOW	5		// There is no window to take a screen shot from
#define ERR_SC_MSG_FILEDIB		6		// Cannot open the file ==> ImageDIBFilename
#define ERR_SC_MSG_FILEZLIB	7		// Cannot Open the file ==> ImageZLIBFilename
#define ERR_SC_MSG_INPUT_STR	8		// Source of the Stream to be decompressed is unknown.
#define ERR_SC_MSG_ZLIB_MEM	9		// ZLIB Library : Not enought memory
#define ERR_SC_MSG_ZLIB_BUF	10		// ZLIB Library : Pre-allocation not big enought
#define ERR_SC_MSG_ZLIB_STR	11		// ZLIB Library : Compression level out of range ==> [1,9]
#define ERR_SC_MSG_ZLIB_DAT	12		// ZLIB Library : The data can not be decompressed due to corruption in it.

#define ERR_SC_MSG_SRC_FCT_GetScreenShot			0x01
#define ERR_SC_MSG_SRC_FCT_GetBitmapFromScreen	0x02
#define ERR_SC_MSG_SRC_FCT_GetCurrentPalette		0x03
#define ERR_SC_MSG_SRC_FCT_ConvertBitmapToDIB	0x04
#define ERR_SC_MSG_SRC_FCT_GetImageBuffer			0x05
#define ERR_SC_MSG_SRC_FCT_GetUncompressedImage	0x06

#endif