Attribute VB_Name = "modLanguage"
'*****************************************************************************
'
'    Specrem Pro - Remote Controlling Software
'    Copyright (C) 2002  Specrem Group
'
'    This program is free software; you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation; either version 2 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program; if not, write to the Free Software
'    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'
'****************************************************************************/



'modLanguage
'Part of the Specrem-project.

'Module to read the language file.

'Copyright (C) 2002  Antti Kirjavainen
'



Option Explicit
Public AppPath As String

Public Declare Function WritePrivateProfileString _
Lib "kernel32" Alias "WritePrivateProfileStringA" _
(ByVal lpApplicationname As String, ByVal _
lpKeyName As Any, ByVal lsString As Any, _
ByVal lplFilename As String) As Long

Public Declare Function GetPrivateProfileString Lib _
"kernel32" Alias "GetPrivateProfileStringA" _
(ByVal lpApplicationname As String, ByVal _
lpKeyName As String, ByVal lpDefault As _
String, ByVal lpReturnedString As String, _
ByVal nSize As Long, ByVal lpFileName As _
String) As Long

Public Function ClearMarks(ByVal MarkString As Variant, Optional ByVal Mark As Variant = "&", Optional ByVal ReplaceMark As Variant = Empty) As Variant
On Error GoTo Hell

ClearMarks = Replace$(MarkString, Mark, ReplaceMark)

Exit Function
Hell:
ClearMarks = Mark
End Function

Public Function ReadFromLanguage(ByVal Heading As String, ByVal Key As String, Optional ByVal Default As String = 0, Optional ByVal RemoveMarks As Boolean = False) As String
On Error Resume Next
'WritePrivateProfileString Heading$, Key$, Default, AppPath$ & "Language.INI"
If Not FileExists(AppPath$ & "Language.INI") Then
                                             ReadFromLanguage = Default
                                             Exit Function
                                             End If

Dim lngResult As Long
Dim strResult As String * 200
Dim Result As Variant

lngResult = GetPrivateProfileString(Heading, _
Key, Default, strResult, Len(strResult), _
AppPath$ & "Language.INI")
'lngResult = GetPrivateProfileString(Heading, _
Key, "", strResult, Len(strResult), _
AppPath$ & "Language.INI")
If lngResult = 0 Then
'WritePrivateProfileString Heading$, Key$, Default, AppPath$ & "Language.INI"
Exit Function
Else
Result = Trim$(strResult)
If RemoveMarks Then Result = Replace$(Result, "&", Empty)
ReadFromLanguage = Result
End If
End Function


Public Function FileExists(ByVal sSource As String) As Boolean
On Error Resume Next
   FileExists = (Dir(sSource$) <> "")
End Function


