VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "mscomctl.ocx"
Begin VB.Form frmWMIProcesses 
   Caption         =   "Window manager"
   ClientHeight    =   8265
   ClientLeft      =   60
   ClientTop       =   630
   ClientWidth     =   4920
   ClipControls    =   0   'False
   Icon            =   "frmToolPrc.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   8265
   ScaleWidth      =   4920
   Begin MSComctlLib.ListView lviProcess 
      Height          =   7815
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   4935
      _ExtentX        =   8705
      _ExtentY        =   13785
      View            =   3
      LabelEdit       =   1
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      AllowReorder    =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   4
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Text            =   "Process"
         Object.Width           =   3000
      EndProperty
      BeginProperty ColumnHeader(2) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   1
         Text            =   "PID"
         Object.Width           =   1676
      EndProperty
      BeginProperty ColumnHeader(3) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   2
         Text            =   "Priority"
         Object.Width           =   1411
      EndProperty
      BeginProperty ColumnHeader(4) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   3
         Text            =   "Memory"
         Object.Width           =   1764
      EndProperty
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuRefresh 
         Caption         =   "&Refresh"
         Shortcut        =   {F5}
      End
      Begin VB.Menu mnuKillProcess 
         Caption         =   "&Kill Process"
      End
      Begin VB.Menu N1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuClose 
         Caption         =   "&Close"
      End
   End
End
Attribute VB_Name = "frmWMIProcesses"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*****************************************************************************
'
'    Specrem Pro - Remote Controlling Software
'    Copyright (C) 2002  Specrem Group
'
'    This program is free software; you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation; either version 2 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program; if not, write to the Free Software
'    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'
'****************************************************************************/



'frmWMIProcesses
'Part of the Specrem-project.

'Windows Management Instrumentation process control.

'Copyright (C) 2002  Antti Kirjavainen
'



Option Explicit
Private WithEvents Sink As SWbemSink
Attribute Sink.VB_VarHelpID = -1
Private Services As SWbemServices

Private Sub Form_Load()
On Error Resume Next
Me.Caption = Replace$(ReadFromLanguage("ClientMain", "mnuWindowManager", Me.Caption), "&", Empty)
mnuFile.Caption = ReadFromLanguage("General", "File", mnuFile.Caption)
mnuKillProcess.Caption = ReadFromLanguage("STools", "mnuKillProcess", mnuKillProcess.Caption)
mnuClose.Caption = ReadFromLanguage("General", "mnuClose", mnuClose.Caption)
End Sub

Private Sub Form_Resize()
On Error Resume Next
lviProcess.Width = Me.Width - 100
lviProcess.Height = Me.Height - 690
End Sub

Private Sub lviProcess_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
On Error Resume Next
If Button = vbRightButton And IsLVISelected(lviProcess) > 0 Then PopupMenu mnuFile
End Sub

Private Sub mnuClose_Click()
On Error Resume Next
Unload Me
End Sub

Private Sub mnuKillProcess_Click()
On Error Resume Next
Dim Prc As String
Dim Process

Prc$ = lviProcess.SelectedItem

For Each Process In GetObject("winmgmts:{impersonationLevel=impersonate}!//" & curComputerName$).ExecQuery("select * from Win32_Process where Name='" & Prc$ & "'")
    Process.Terminate
Next

DoEvents
mnuRefresh_Click
End Sub

Public Sub mnuRefresh_Click()
On Error GoTo Hell
mnuRefresh.Enabled = False
mnuKillProcess.Enabled = False
mnuRefresh.Caption = ReadFromLanguage("General", "Refreshing", "Refreshing...")


lviProcess.ListItems.Clear
MousePointer = vbHourglass
Set Sink = New SWbemSink
Set Services = GetObject("winmgmts://" & curComputerName$)
Services.InstancesOfAsync Sink, "Win32_process"
Me.MousePointer = 0


Exit Sub
Hell:
frmMain.txtLog.Text = frmMain.txtLog.Text & UCase$(ReadFromLanguage("General", "Error", "Error")) & "(" & curComputerName$ & "): " & Err.Description & vbCrLf
Err.Clear
End Sub

Private Sub sink_OnCompleted(ByVal iHResult As WbemScripting.WbemErrorEnum, ByVal objWbemErrorObject As WbemScripting.ISWbemObject, ByVal objWbemAsyncContext As WbemScripting.ISWbemNamedValueSet)
On Error Resume Next

MousePointer = vbDefault
mnuRefresh.Caption = ReadFromLanguage("General", "Refresh", "&Refresh")
mnuRefresh.Enabled = True
    
If (iHResult <> wbemNoErr) Then frmMain.txtLog.Text = frmMain.txtLog.Text & UCase$(ReadFromLanguage("General", "Error", "Error")) & "(" & curComputerName$ & "): " & Err.Description & " 0x" & Hex(Err.Number) & "!"
    
If lviProcess.ListItems.Count = 0 Then Exit Sub
mnuKillProcess.Enabled = True
End Sub

Private Sub sink_OnObjectReady(ByVal Process As WbemScripting.ISWbemObject, ByVal objWbemAsyncContext As WbemScripting.ISWbemNamedValueSet)
On Error Resume Next
Dim Key
Dim Item As ListItem

Key = "Handle:" & Process.Handle
    
Set Item = lviProcess.ListItems.Add(, Key, Process.name)
Item.SubItems(1) = Process.Handle
    
If VarType(Process.Priority) <> vbNull Then Item.SubItems(2) = Process.Priority
        
If VarType(Process.WorkingSetSize) <> vbNull Then Item.SubItems(3) = CStr(Process.WorkingSetSize / 1024) + " K"
    
End Sub

