Attribute VB_Name = "modFind"



'----------------------------------------------------------------
'Find files
'----------------------------------------------------------------



Option Explicit


Private Type WIN32_FIND_DATA
        dwFileAttributes As Long
        ftCreationTime As FILETIME
        ftLastAccessTime As FILETIME
        ftLastWriteTime As FILETIME
        nFileSizeHigh As Long
        nFileSizeLow As Long
        dwReserved0 As Long
        dwReserved1 As Long
        cFileName As String * MAX_PATH
        cAlternate As String * 14
End Type


Private Declare Function FindFirstFile Lib "kernel32" Alias "FindFirstFileA" _
    (ByVal lpFileName As String, lpFindFileData As WIN32_FIND_DATA) As Long

Private Declare Function FindNextFile Lib "kernel32" Alias "FindNextFileA" _
    (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long

Private Declare Function FindClose Lib "kernel32" (ByVal hFindFile As Long) As Long

Private pbMessage As Boolean


Public Sub FindFiles(Path As String, SubFolder As Boolean, Pattern As String)
On Error GoTo Hell
    
    Dim WFD As WIN32_FIND_DATA
    Dim hFile As Long, fPath As String, fname As String
    
    fPath = AddSlash$(Path)
    
    Dim sPattern As String
    Dim FullItem As String
    
    sPattern = Pattern
    fname = fPath & sPattern
    
  
    hFile = FindFirstFile(fname, WFD)
    If (hFile > 0) And ((WFD.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) <> FILE_ATTRIBUTE_DIRECTORY) Then
            FullItem$ = fPath & StripNulls(WFD.cFileName) & "<" & WFD.nFileSizeLow
            frmMain.lstFind.AddItem FullItem$
    End If
    
    If hFile > 0 Then
    While FindNextFile(hFile, WFD)
        If ((WFD.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) <> FILE_ATTRIBUTE_DIRECTORY) Then
            FullItem$ = fPath & StripNulls(WFD.cFileName) & "<" & WFD.nFileSizeLow
            frmMain.lstFind.AddItem FullItem$
        End If
    Wend
    End If
    
    If SubFolder Then
        
   
        hFile = FindFirstFile(fPath & "*.*", WFD)
        If (hFile > 0) And ((WFD.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) = FILE_ATTRIBUTE_DIRECTORY) And _
        StripNulls(WFD.cFileName) <> "." And StripNulls(WFD.cFileName) <> ".." Then
        
           FindFiles fPath & StripNulls(WFD.cFileName), True, sPattern
        End If
        
        While FindNextFile(hFile, WFD)
            If ((WFD.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) = FILE_ATTRIBUTE_DIRECTORY) And _
            StripNulls(WFD.cFileName) <> "." And StripNulls(WFD.cFileName) <> ".." Then


                FindFiles fPath & StripNulls(WFD.cFileName), True, sPattern
            End If
        Wend
        
    End If
    FindClose hFile
    
Exit Sub
Hell:
Err.Clear
Resume Next
End Sub


Private Function StripNulls(f As String) As String
On Error Resume Next
StripNulls = Left$(f, InStr(1, f, Chr$(0)) - 1)
End Function
